summaryrefslogtreecommitdiff
path: root/recipes-bsp/multitech
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2019-01-15 16:52:18 -0600
committerJohn Klug <john.klug@multitech.com>2019-02-19 11:11:58 -0600
commit9c734a2476220e6e90056a9f463d7d6e8a04ac3a (patch)
tree4df2b96393fdffa94e63ee8534440a74fa058780 /recipes-bsp/multitech
parent0f188e9e8be746cd140cbfd5431eeee501caf2c3 (diff)
downloadmeta-multitech-atmel-9c734a2476220e6e90056a9f463d7d6e8a04ac3a.tar.gz
meta-multitech-atmel-9c734a2476220e6e90056a9f463d7d6e8a04ac3a.tar.bz2
meta-multitech-atmel-9c734a2476220e6e90056a9f463d7d6e8a04ac3a.zip
Set /dev/gps0, even if gps capability flag is false.
Diffstat (limited to 'recipes-bsp/multitech')
-rw-r--r--recipes-bsp/multitech/mts-io/mts-io.init5
1 files changed, 3 insertions, 2 deletions
diff --git a/recipes-bsp/multitech/mts-io/mts-io.init b/recipes-bsp/multitech/mts-io/mts-io.init
index b7fda14..705f84d 100644
--- a/recipes-bsp/multitech/mts-io/mts-io.init
+++ b/recipes-bsp/multitech/mts-io/mts-io.init
@@ -215,10 +215,11 @@ mfser_init() {
set_gpslink() {
gpscap=$(cat ${sysdir}/capability/gps)
- if ((gpscap == 0)) ; then
+ # For all hardware except MTCDTIPHP, the gpscapability
+ # flag indicates whether or not we have a GPS.
+ if ! [[ ${hw_name} =~ ^MTCDTIPHP$ ]] && ((gpscap == 0)) ; then
return
fi
-
if [[ ${hw} == MTRV1-0.2 ]] ; then
ln -sf /dev/ttyXRUSB0 /dev/gps0
return